package javabbuva;

// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.ACB3E103-31E2-B363-3538-6532BDAFEC4D]
// </editor-fold> 
public class Caja {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.4BF0F43C-03AA-2B69-44BA-0E5BD09435B6]
    // </editor-fold> 
    private float saldo;

    private Empleado actual;

    private String identificador;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.4D2661BF-3A23-F4DD-B70E-3C38256C04B2]
    // </editor-fold> 
    public Caja () {
        saldo = 0;
        actual = new Empleado();
        identificador = "";
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AC811D43-1574-F4BF-7376-1E281E88FACD]
    // </editor-fold> 
    public float getSaldo () {
        return saldo;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D4353804-23CC-4517-FDDD-CF2F1ADE2341]
    // </editor-fold> 
    public void setSaldo (float val) {
        this.saldo = val;
    }

    //METODO QUE INCREMENTA EL SALDO DE LA CAJA
    public void incrementarSaldo(float incremento){
        this.saldo+=incremento;
    }

    //METODO QUE DECREMENTA EL SALDO DE LA CAJA
    public void decrementarSaldo(float decremento){
        this.saldo-=decremento;
    }

    /**
     * @param actual the actual to set
     */
    public void setActual(Empleado actual) {
        this.actual = actual;
    }

    public Empleado getActual(){
        return this.actual;
    }

    /**
     * @return the identificador
     */
    public String getIdentificador() {
        return identificador;
    }

    /**
     * @param identificador the identificador to set
     */
    public void setIdentificador(String identificador) {
        this.identificador = identificador;
    }

}

